<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCheckCardsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('check_cards', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('student_id')->nullable()->comment('学员ID');
            $table->unsignedInteger('student_course_id')->nullable()->comment('所选课程ID');
            $table->dateTime('begin_date_time')->nullable()->comment('开始打卡时间');
            $table->dateTime('end_date_time')->nullable()->comment('结束打卡时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('check_cards');
    }
}
